type MutationResult {
  operationDone: Boolean
}

type Query {
  todoActionLog(
    id: ID!
  ): ActionLogType @deprecated
  archiveEmail(
    id: ID!
  ): EmailThreadType
  emailTodo(
    id: ID!
  ): EmailType
  teamQuestionnaireTodo(
    id: ID!
  ): TeamQuestionnaireStateType

}

type Mutation {
  setTodoActionLog(
    actionLogId: ID!
    state: Boolean!
  ): ActionLogType @deprecated
  setArchiveEmail(
    emailThreadId: ID!
    state: Boolean!
  ): EmailThreadType
  setEmailTodo(
    emailId: ID!
    state: Boolean!
  ): EmailType
  setTeamQuestionnaireTodo(
    teamQuestionnaireId: ID!
    state: Boolean!
  ): TeamQuestionnaireStateType
}

type EmailThreadType {
  id: ID!
  archived: Boolean!
}

type EmailType {
  id: ID!
  todo: Boolean!
}
type TeamQuestionnaireStateType {
  id: ID!
  todo: Boolean!
}

type ActionLogType {
  id: ID!
  todo: Boolean!
}